## org.jfree.report.flow.layoutprocessor
Class ElementLayoutController.ElementPrecomputeKey

    java.lang.Object
      org.jfree.report.flow.layoutprocessor.ElementLayoutController.ElementPrecomputeKey

All Implemented Interfaces:
  PrecomputeNodeKey

Enclosing class:
  ElementLayoutController

    protected static class ElementLayoutController.ElementPrecomputeKey

extends java.lang.Object
implements PrecomputeNodeKey

Constructor Summary
`ElementLayoutController.ElementPrecomputeKey(Element element)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`boolean` `equals(PrecomputeNodeKey otherKey)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementLayoutController.ElementPrecomputeKey

    public ElementLayoutController.ElementPrecomputeKey(Element element)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(PrecomputeNodeKey otherKey)

  Specified by:
    `equals` in interface `PrecomputeNodeKey`